package com.dev.swms.client.ui.javabean;

import java.util.Date;
import com.google.gwt.user.client.rpc.IsSerializable;

public class PT_AVAILABLE implements IsSerializable {
	//库位号
	private Long inventoryId;
	//库位代号
	private String locationCode;
	//货品代号
	private String itemCode;
	//货品名称
	private String itemName;
	//包装单位
	private String packageUnit;
	//折算系数
	private Integer packageUnitConvertFigure;
	//库存数量
	private double inventoryQuantity;
	//可用数量
	private double inventoryAvailableQuantity;
	//手工分配数量
	private double inventoryManualQuantity;
	//批次号
	private String itemKeyLot;
	//批次属性
	private String lotInfor;
	//存货日期
	private Date inventoryStorageDate;
	//SOI
	private String inventorySOI;
	
	public PT_AVAILABLE(){
		
	}
	public PT_AVAILABLE(Object inventoryId,Object locationCode,Object itemCode,Object itemName,
			Object packageUnit,Object packageUnitConvertFigure,Object inventoryQuantity,Object inventoryAvailableQuantity,
			Object inventoryManualQuantity,Object itemKeyLot,Object lotInfor,Object inventoryStorageDate,Object inventorySOI){
		this.inventoryId = (Long)inventoryId;
		this.locationCode = (String)locationCode;
		this.itemCode = (String)itemCode;
		this.itemName = itemName == null?"" : (String)itemName;
		this.packageUnit = (String)packageUnit;
		this.packageUnitConvertFigure = packageUnitConvertFigure == null ? 0 : (Integer)packageUnitConvertFigure;
		this.inventoryQuantity = inventoryQuantity == null ? 0D : (Double)inventoryQuantity;
		this.inventoryAvailableQuantity = (Double)inventoryAvailableQuantity;
		this.inventoryManualQuantity = 0D;
		this.itemKeyLot = itemKeyLot == null?"" : (String)itemKeyLot;
		this.lotInfor = lotInfor == null?"" : lotInfor.toString();
		this.inventoryStorageDate = (Date)inventoryStorageDate;
		this.inventorySOI = inventorySOI == null?"" : (String)inventorySOI;
	}
	
	public Long getInventoryId() {
		return inventoryId;
	}
	public void setInventoryId(Long inventoryId) {
		this.inventoryId = inventoryId;
	}
	public String getLocationCode() {
		return locationCode;
	}
	public void setLocationCode(String locationCode) {
		this.locationCode = locationCode;
	}
	public String getItemCode() {
		return itemCode;
	}
	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}
	public String getItemName() {
		return itemName;
	}
	public void setItemName(String itemName) {
		this.itemName = itemName;
	}
	public String getPackageUnit() {
		return packageUnit;
	}
	public void setPackageUnit(String packageUnit) {
		this.packageUnit = packageUnit;
	}
	public Integer getPackageUnitConvertFigure() {
		return packageUnitConvertFigure;
	}
	public void setPackageUnitConvertFigure(Integer packageUnitConvertFigure) {
		this.packageUnitConvertFigure = packageUnitConvertFigure;
	}
	public double getInventoryQuantity() {
		return inventoryQuantity;
	}
	public void setInventoryQuantity(double inventoryQuantity) {
		this.inventoryQuantity = inventoryQuantity;
	}
	public double getInventoryAvailableQuantity() {
		return inventoryAvailableQuantity;
	}
	public void setInventoryAvailableQuantity(double inventoryAvailableQuantity) {
		this.inventoryAvailableQuantity = inventoryAvailableQuantity;
	}
	public double getInventoryManualQuantity() {
		return inventoryManualQuantity;
	}
	public void setInventoryManualQuantity(double inventoryManualQuantity) {
		this.inventoryManualQuantity = inventoryManualQuantity;
	}
	public String getItemKeyLot() {
		return itemKeyLot;
	}
	public void setItemKeyLot(String itemKeyLot) {
		this.itemKeyLot = itemKeyLot;
	}
	public String getLotInfor() {
		return lotInfor;
	}
	public void setLotInfor(String lotInfor) {
		this.lotInfor = lotInfor;
	}
	public Date getInventoryStorageDate() {
		return inventoryStorageDate;
	}
	public void setInventoryStorageDate(Date inventoryStorageDate) {
		this.inventoryStorageDate = inventoryStorageDate;
	}
	public String getInventorySOI() {
		return inventorySOI;
	}
	public void setInventorySOI(String inventorySOI) {
		this.inventorySOI = inventorySOI;
	}
}
